Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.util
Class SoftFileBuffer.Buffer

    java.lang.Object
      ru.biosoft.util.SoftFileBuffer.Buffer

Enclosing class:
  SoftFileBuffer

protected class SoftFileBuffer.Buffer
extends java.lang.Object

Constructor Summary
`protected` | `SoftFileBuffer.Buffer(int sz)`
`protected` | `SoftFileBuffer.Buffer(int sz, int readPos)`

Method Summary
`protected void` | `finalize()` Stores all buffers and closes random access file
`protected byte` | `read(int pos)` Fills buffer from pos minus half size position.
`protected void` | `store()` Stores buffer data if it changed
`protected void` | `write(int pos, byte bt)` Writes byte to the specified position of second buffer

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SoftFileBuffer.Buffer

    protected SoftFileBuffer.Buffer(int sz)

### SoftFileBuffer.Buffer

    protected SoftFileBuffer.Buffer(int sz,
                                    int readPos)
                             throws java.io.IOException

Method Detail

### read

    protected byte read(int pos)
                 throws java.io.IOException

  Fills buffer from pos minus half size position. If data in buffer has been changed it is stored

  Parameters:
    `pos` - requested position
  Returns:
    byte from pos position
  Throws:
    `java.io.IOException`

### write

    protected void write(int pos,
                         byte bt)
                  throws java.io.IOException

  Writes byte to the specified position of second buffer

  Parameters:
    `pos` - requested position
    `bt` - stored byte
  Throws:
    `java.io.IOException`

### store

    protected void store()
                  throws java.io.IOException

  Stores buffer data if it changed

  Throws:
    `java.io.IOException`

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Stores all buffers and closes random access file

  Throws:
    `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.